> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get exemptions

> Returns exemptions. Optionally filter by checkId or trackId (mutually exclusive). When trackId is provided, returns exemptions for all checks in that track (including campaigns). When neither is provided, returns all exemptions paginated with limit/offset.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /checks/exemptions
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /checks/exemptions:
    get:
      tags:
        - Checks
      summary: Get exemptions
      description: >
        Returns exemptions. Optionally filter by checkId or trackId (mutually
        exclusive). When trackId is provided, returns exemptions for all checks
        in that track (including campaigns). When neither is provided, returns
        all exemptions paginated with limit/offset.
      operationId: getExemptions
      parameters:
        - name: checkId
          in: query
          description: Return exemptions for this check ID.
          required: false
          schema:
            type: string
        - name: trackId
          in: query
          description: Return exemptions for all checks in this track ID.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Maximum number of exemptions to return (used when no filter is
            provided). Defaults to 25, max 100.
          required: false
          schema:
            type: integer
            default: 25
            maximum: 100
        - name: offset
          in: query
          description: >-
            Number of exemptions to skip (used when no filter is provided).
            Defaults to 0.
          required: false
          schema:
            type: integer
            default: 0
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExemptionsResponse'
        '400':
          description: Conflicting query parameters or track not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: No permission to read exemptions
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    ExemptionsResponse:
      type: object
      required:
        - exemptions
        - totalCount
      properties:
        exemptions:
          type: array
          items:
            $ref: '#/components/schemas/Exemption'
        totalCount:
          type: integer
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    Exemption:
      type: object
      required:
        - checkId
        - entityRef
        - userRef
        - justification
        - timestamp
      properties:
        checkId:
          type: string
        entityRef:
          type: string
        userRef:
          type: string
        justification:
          type: string
        timestamp:
          type: string
        revocationUserRef:
          type: string
        revocationTimestamp:
          type: string
        revocationReason:
          type: string
      additionalProperties: false

````